> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get operation info by id

> Get operation info



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /v1/operations/{operation_id}
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/operations/{operation_id}:
    get:
      tags:
        - datasets
      summary: Get operation info by id
      description: Get operation info
      operationId: get_operation_v1_operations__operation_id__get
      parameters:
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            title: Operation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OperationResponse:
      properties:
        id:
          type: string
          title: Id
          description: Operation id
          examples:
            - 3a3fd2317bbe4b3bb9842bc1b5275eb9
        type:
          allOf:
            - $ref: '#/components/schemas/OperationType'
          description: Type of the operation.
          examples:
            - yql
            - materialize_history
            - batch_inference
            - finetuning
            - file_to_dataset
            - dataset_to_file
        params:
          anyOf:
            - $ref: '#/components/schemas/YQLParams'
            - $ref: '#/components/schemas/MaterializeHistoryParams'
            - $ref: '#/components/schemas/BatchInferenceParams'
            - $ref: '#/components/schemas/FineTuningParams-Output'
            - $ref: '#/components/schemas/FileToDatasetParams'
            - $ref: '#/components/schemas/DatasetToFileParams'
          title: Params
          description: Parameters specific to the operation type.
          examples:
            - query: SELECT * FROM {src_0} WHERE condition
        src:
          items:
            anyOf:
              - $ref: '#/components/schemas/OperationSrcDataset-Output'
              - $ref: '#/components/schemas/OperationSrcTrainDataset-Output'
              - $ref: '#/components/schemas/OperationSrcValidationDataset-Output'
              - $ref: '#/components/schemas/OperationSrcDatasetToFile-Output'
          type: array
          title: Src
          description: List of source datasets for the operation.
          examples:
            - id: example_dataset
              version: 0ed2d94b38fb40b9b61f6a01b43d53de
        dst:
          items:
            $ref: '#/components/schemas/OperationDstDataset'
          type: array
          title: Dst
          description: List of destination datasets for the operation.
          examples:
            - id: example_dataset
              version: 0ed2d94b38fb40b9b61f6a01b43d53de
        status:
          allOf:
            - $ref: '#/components/schemas/OperationStatus'
          description: Current status of the operation.
          examples:
            - queued
            - running
            - succeeded
            - failed
            - cancelled
            - unknown
        created_at:
          type: integer
          title: Created At
          description: The Unix timestamp (in seconds) for when the operation was created.
          examples:
            - 1614807352
        in_progress_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: In Progress At
          description: >-
            The Unix timestamp (in seconds) for when the operation started
            processing.
          examples:
            - 1614807352
        finished_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Finished At
          description: >-
            The Unix timestamp (in seconds) for when the operation was
            completed.
          examples:
            - 1614807352
        ai_project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Project Id
          description: AI Studio project ID to associate with the dataset.
          examples:
            - example_project
      type: object
      required:
        - id
        - type
        - params
        - src
        - dst
        - status
        - created_at
      title: OperationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OperationType:
      type: string
      enum:
        - yql
        - materialize_history
        - batch_inference
        - finetuning
        - file_to_dataset
        - dataset_to_file
      title: OperationType
    YQLParams:
      properties:
        query:
          type: string
          title: Query
          description: YQL query to execute.
          examples:
            - SELECT * FROM {src0} WHERE condition
      type: object
      required:
        - query
      title: YQLParams
    MaterializeHistoryParams:
      properties:
        start_datetime:
          type: string
          format: date-time
          title: Start Datetime
          description: Start datetime for history materialization (ISO 8601 format).
          examples:
            - '2024-08-10T12:00:00+02:00'
            - '2024-08-10T12:00:00Z'
        end_datetime:
          type: string
          format: date-time
          title: End Datetime
          description: End datetime for history materialization (ISO 8601 format).
          examples:
            - '2024-08-19T14:30:00+02:00'
            - '2024-08-19T15:30:00Z'
        dataset_name:
          type: string
          title: Dataset Name
          description: Name of the dataset to materialize history into.
          examples:
            - chat_history_january_2025
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
          description: Optional model name to filter by model_flavor_id.
          examples:
            - deepseek-ai/DeepSeek-V3.1-Thinking
            - openai/gpt-oss-120b
      type: object
      required:
        - start_datetime
        - end_datetime
        - dataset_name
      title: MaterializeHistoryParams
    BatchInferenceParams:
      properties:
        model:
          type: string
          title: Model
          description: ID of the model to use.
          examples:
            - meta-llama/Meta-Llama-3.1-70B-Instruct
        completion_window:
          type: string
          title: Completion Window
          examples:
            - 12h
      type: object
      required:
        - model
        - completion_window
      title: BatchInferenceParams
    FineTuningParams-Output:
      properties:
        model_name:
          type: string
          title: Model Name
          description: The name of the model to fine-tune
          examples:
            - meta-llama/Llama-3.1-70B-Instruct
            - meta-llama/Llama-3.1-8B
        hyperparameters:
          anyOf:
            - $ref: '#/components/schemas/SupervisedHParameters'
            - type: 'null'
          description: Training hyperparameters (legacy field, use method instead)
        method:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/SupervisedMethodConfig-Output'
                - $ref: '#/components/schemas/SpecDraftMethodConfig-Output'
              discriminator:
                propertyName: type
                mapping:
                  spec-draft:
                    $ref: '#/components/schemas/SpecDraftMethodConfig-Output'
                  supervised:
                    $ref: '#/components/schemas/SupervisedMethodConfig-Output'
            - type: 'null'
          title: Method
          description: Fine-tuning method configuration
        from_checkpoint:
          anyOf:
            - $ref: '#/components/schemas/HFCheckpointParametersRequest-Output'
            - $ref: '#/components/schemas/FTCheckpointParameters'
            - $ref: '#/components/schemas/HFCheckpointParametersResponse'
            - type: 'null'
          title: From Checkpoint
          description: Checkpoint to continue training from
        integrations:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/WandbIntegrationRequest'
                  - $ref: '#/components/schemas/MlflowIntegrationRequest'
                  - $ref: '#/components/schemas/HfExportIntegrationRequest'
                  - $ref: '#/components/schemas/WandbIntegrationResponse'
                  - $ref: '#/components/schemas/MlflowIntegrationResponse'
                  - $ref: '#/components/schemas/HfExportIntegrationResponse'
              type: array
            - type: 'null'
          title: Integrations
          description: Job integration parameters
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
          description: The seed controls the reproducibility of the job
          examples:
            - 42
        suffix:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Suffix
          description: The suffix that will be used for output model name
          examples:
            - my-model
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: List of tags to associate with the job
          examples:
            - my-ft-job
        trained_steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trained Steps
          description: The number of steps completed by the fine-tuning job.
        total_steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Steps
          description: >-
            The total number of steps that the fine-tuning job is expected to
            complete.
        trained_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trained Tokens
          description: >-
            The total number of billable tokens processed by this fine-tuning
            job.

                    The value will be null if the fine-tuning job is still running.
                    
        estimated_finish:
          anyOf:
            - type: integer
            - type: 'null'
          title: Estimated Finish
          description: |2-

                    The Unix timestamp (in seconds) for when the fine-tuning job is estimated to
                    finish. The value will be null if the fine-tuning job is not running.
                    
      type: object
      required:
        - model_name
      title: FineTuningParams
    FileToDatasetParams:
      properties:
        file_id:
          type: string
          title: File Id
          description: ID of the source file to convert into a dataset.
          examples:
            - file-01954e35-a0a1-72fb-b84d-caf95f8f3a0f
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
          description: Name of the dataset.
          examples:
            - example_dataset
      type: object
      required:
        - file_id
      title: FileToDatasetParams
    DatasetToFileParams:
      properties:
        purpose:
          allOf:
            - $ref: '#/components/schemas/DatasetToFilePurpose'
          description: Purpose of the output file.
          examples:
            - fine_tuning
            - inference
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Model id for inference batch export.
          examples:
            - openai/gpt-oss-120b
      type: object
      required:
        - purpose
      title: DatasetToFileParams
    OperationSrcDataset-Output:
      properties:
        id:
          type: string
          title: Id
          description: The object identifier, which can be referenced in the API endpoints.
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
          description: Version of the dataset.
          examples:
            - 0ed2d94b38fb40b9b61f6a
        mapping:
          anyOf:
            - $ref: '#/components/schemas/BatchInferenceMapping'
            - type: 'null'
          description: Mapping of dataset fields.
          examples:
            - messages:
                name: chat_messages
                type: column
              type: text_messages
      type: object
      required:
        - id
        - version
      title: OperationSrcDataset
    OperationSrcTrainDataset-Output:
      properties:
        id:
          type: string
          title: Id
          description: The object identifier, which can be referenced in the API endpoints.
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
          description: Version of the dataset.
          examples:
            - 0ed2d94b38fb40b9b61f6a
        mapping:
          anyOf:
            - $ref: '#/components/schemas/FineTuningTextMapping'
            - $ref: '#/components/schemas/FineTuningPromptsMapping'
            - $ref: '#/components/schemas/FineTuningMessagesMapping'
          title: Mapping
          description: 'Mapping for finetuning dataset, one of: text, messages, prompts.'
          examples:
            - text:
                name: text
                type: column
              type: text
            - messages:
                name: messages
                type: column
              type: messages
            - completion:
                name: completion
                type: column
              prompt:
                name: prompt
                type: column
              type: prompts
        type:
          type: string
          enum:
            - train
          const: train
          title: Type
          default: train
      type: object
      required:
        - id
        - version
        - mapping
      title: OperationSrcTrainDataset
    OperationSrcValidationDataset-Output:
      properties:
        id:
          type: string
          title: Id
          description: The object identifier, which can be referenced in the API endpoints.
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
          description: Version of the dataset.
          examples:
            - 0ed2d94b38fb40b9b61f6a
        mapping:
          anyOf:
            - $ref: '#/components/schemas/FineTuningTextMapping'
            - $ref: '#/components/schemas/FineTuningPromptsMapping'
            - $ref: '#/components/schemas/FineTuningMessagesMapping'
          title: Mapping
          description: 'Mapping for finetuning dataset, one of: text, messages, prompts.'
          examples:
            - text:
                name: text
                type: column
              type: text
            - messages:
                name: messages
                type: column
              type: messages
            - completion:
                name: completion
                type: column
              prompt:
                name: prompt
                type: column
              type: prompts
        type:
          type: string
          enum:
            - validation
          const: validation
          title: Type
          default: validation
      type: object
      required:
        - id
        - version
        - mapping
      title: OperationSrcValidationDataset
    OperationSrcDatasetToFile-Output:
      properties:
        dataset:
          $ref: '#/components/schemas/OperationDatasetToFileDataset'
        mapping:
          anyOf:
            - $ref: '#/components/schemas/FineTuningTextMapping'
            - $ref: '#/components/schemas/FineTuningPromptsMapping'
            - $ref: '#/components/schemas/FineTuningMessagesMapping'
            - $ref: '#/components/schemas/DatasetToFileBatchInferenceMapping'
          title: Mapping
          description: Mapping for dataset-to-file export.
          examples:
            - text:
                name: text
                type: column
              type: text
            - custom_id:
                name: custom_id
                type: column
              max_tokens:
                name: max_tokens
                type: column
              messages:
                name: messages
                type: column
              type: text_messages
      type: object
      required:
        - dataset
        - mapping
      title: OperationSrcDatasetToFile
    OperationDstDataset:
      properties:
        id:
          type: string
          title: Id
          description: The object identifier, which can be referenced in the API endpoints.
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
          description: Version of the dataset.
          examples:
            - 0ed2d94b38fb40b9b61f6a
      type: object
      required:
        - id
        - version
      title: OperationDstDataset
    OperationStatus:
      type: string
      enum:
        - queued
        - running
        - succeeded
        - failed
        - cancelled
        - unknown
      title: OperationStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SupervisedHParameters:
      properties:
        batch_size:
          type: integer
          maximum: 64
          minimum: 1
          title: Batch Size
          description: Batch size for training
          default: 8
        learning_rate:
          type: number
          minimum: 0
          title: Learning Rate
          description: Learning rate for training
          default: 0.00001
        n_epochs:
          type: integer
          maximum: 20
          minimum: 1
          title: N Epochs
          description: Number of epochs for training
          default: 3
        warmup_ratio:
          type: number
          maximum: 1
          minimum: 0
          title: Warmup Ratio
          description: Warmup ratio for learning rate
          default: 0
        weight_decay:
          type: number
          minimum: 0
          title: Weight Decay
          description: Weight decay for optimizer
          default: 0
        packing:
          type: boolean
          title: Packing
          description: Whether to use packing for training
          default: true
        max_grad_norm:
          type: number
          exclusiveMinimum: 0
          title: Max Grad Norm
          description: Maximum gradient norm for optimizer
          default: 1
        context_length:
          type: integer
          maximum: 131072
          minimum: 8192
          title: Context Length
          description: Context length for training
          default: 8192
        lora:
          type: boolean
          title: Lora
          description: Whether to use LoRA (Low-Rank Adaptation) for training
          default: false
        lora_r:
          type: integer
          maximum: 128
          minimum: 8
          title: Lora R
          description: Rank for LoRA
          default: 8
        lora_alpha:
          type: integer
          minimum: 8
          title: Lora Alpha
          description: Alpha parameter for LoRA
          default: 8
        lora_dropout:
          type: number
          maximum: 1
          minimum: 0
          title: Lora Dropout
          description: Dropout rate for LoRA
          default: 0
      additionalProperties: true
      type: object
      title: SupervisedHParameters
    SupervisedMethodConfig-Output:
      properties:
        type:
          type: string
          enum:
            - supervised
          const: supervised
          title: Type
          default: supervised
        supervised:
          $ref: '#/components/schemas/SupervisedConfig'
      type: object
      required:
        - supervised
      title: SupervisedMethodConfig
    SpecDraftMethodConfig-Output:
      properties:
        type:
          type: string
          enum:
            - spec-draft
          const: spec-draft
          title: Type
          default: spec-draft
        spec_draft:
          $ref: '#/components/schemas/SpecDraftConfig-Output'
      type: object
      required:
        - spec_draft
      title: SpecDraftMethodConfig
    HFCheckpointParametersRequest-Output:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - hf
              const: hf
          title: Type
          default: hf
        repo:
          type: string
          title: Repo
        revision:
          anyOf:
            - type: string
            - type: 'null'
          title: Revision
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
      type: object
      required:
        - repo
      title: HFCheckpointParametersRequest
    FTCheckpointParameters:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - ft
              const: ft
          title: Type
          default: ft
      type: object
      title: FTCheckpointParameters
    HFCheckpointParametersResponse:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - hf
              const: hf
          title: Type
          default: hf
        repo:
          type: string
          title: Repo
        revision:
          anyOf:
            - type: string
            - type: 'null'
          title: Revision
      type: object
      required:
        - repo
      title: HFCheckpointParametersResponse
    WandbIntegrationRequest:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - wandb
              const: wandb
          title: Type
          default: wandb
        wandb:
          $ref: '#/components/schemas/WandbConfigRequest'
      type: object
      required:
        - wandb
      title: WandbIntegrationRequest
    MlflowIntegrationRequest:
      properties:
        type:
          type: string
          enum:
            - mlflow
          const: mlflow
          title: Type
          default: mlflow
        mlflow:
          $ref: '#/components/schemas/MlflowConfigRequest'
      type: object
      required:
        - mlflow
      title: MlflowIntegrationRequest
    HfExportIntegrationRequest:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - hf
              const: hf
          title: Type
          default: hf
        hf:
          $ref: '#/components/schemas/HfExportConfigRequest'
      type: object
      required:
        - hf
      title: HfExportIntegrationRequest
    WandbIntegrationResponse:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - wandb
              const: wandb
          title: Type
          default: wandb
        wandb:
          $ref: '#/components/schemas/WandbConfigResponse'
      type: object
      required:
        - wandb
      title: WandbIntegrationResponse
    MlflowIntegrationResponse:
      properties:
        type:
          type: string
          enum:
            - mlflow
          const: mlflow
          title: Type
          default: mlflow
        mlflow:
          $ref: '#/components/schemas/MlflowConfigResponse'
      type: object
      required:
        - mlflow
      title: MlflowIntegrationResponse
    HfExportIntegrationResponse:
      properties:
        type:
          anyOf:
            - type: string
            - type: string
              enum:
                - hf
              const: hf
          title: Type
          default: hf
        hf:
          $ref: '#/components/schemas/HfExportConfigResponse'
      type: object
      required:
        - hf
      title: HfExportIntegrationResponse
    DatasetToFilePurpose:
      type: string
      enum:
        - fine_tuning
        - inference
      title: DatasetToFilePurpose
    BatchInferenceMapping:
      properties:
        type:
          type: string
          title: Type
          default: text_messages
        messages:
          anyOf:
            - $ref: '#/components/schemas/MappingRecordText'
            - $ref: '#/components/schemas/MappingRecordColumn'
          title: Messages
        max_tokens:
          anyOf:
            - $ref: '#/components/schemas/MappingRecordText'
            - $ref: '#/components/schemas/MappingRecordColumn'
            - type: 'null'
          title: Max Tokens
        custom_id:
          anyOf:
            - $ref: '#/components/schemas/MappingRecordColumn'
            - type: 'null'
      type: object
      required:
        - messages
      title: BatchInferenceMapping
    FineTuningTextMapping:
      properties:
        type:
          type: string
          enum:
            - text
          const: text
          title: Type
          description: FineTuning mapping type for text format
          default: text
        text:
          $ref: '#/components/schemas/MappingRecordColumn'
      type: object
      required:
        - text
      title: FineTuningTextMapping
    FineTuningPromptsMapping:
      properties:
        type:
          type: string
          enum:
            - prompts
          const: prompts
          title: Type
          description: FineTuning mapping type for prompts format
          default: prompts
        prompt:
          $ref: '#/components/schemas/MappingRecordColumn'
        completion:
          $ref: '#/components/schemas/MappingRecordColumn'
      type: object
      required:
        - prompt
        - completion
      title: FineTuningPromptsMapping
    FineTuningMessagesMapping:
      properties:
        type:
          type: string
          enum:
            - messages
          const: messages
          title: Type
          description: FineTuning mapping type for messages format
          default: messages
        messages:
          $ref: '#/components/schemas/MappingRecordColumn'
      type: object
      required:
        - messages
      title: FineTuningMessagesMapping
    OperationDatasetToFileDataset:
      properties:
        id:
          type: string
          title: Id
          description: The object identifier, which can be referenced in the API endpoints.
          examples:
            - 4d89c87498354518b92fa02fc0ad8720
        version:
          type: string
          title: Version
          description: Version of the dataset.
          examples:
            - 0ed2d94b38fb40b9b61f6a
      type: object
      required:
        - id
        - version
      title: OperationDatasetToFileDataset
    DatasetToFileBatchInferenceMapping:
      properties:
        type:
          type: string
          enum:
            - text_messages
          const: text_messages
          title: Type
          default: text_messages
        messages:
          $ref: '#/components/schemas/MappingRecordColumn'
        max_tokens:
          anyOf:
            - $ref: '#/components/schemas/MappingRecordColumn'
            - type: 'null'
        custom_id:
          anyOf:
            - $ref: '#/components/schemas/MappingRecordColumn'
            - type: 'null'
      type: object
      required:
        - messages
      title: DatasetToFileBatchInferenceMapping
    SupervisedConfig:
      properties:
        hyperparameters:
          $ref: '#/components/schemas/SupervisedHParameters'
      type: object
      required:
        - hyperparameters
      title: SupervisedConfig
    SpecDraftConfig-Output:
      properties:
        hyperparameters:
          $ref: '#/components/schemas/SpecDraftHParameters'
      type: object
      required:
        - hyperparameters
      title: SpecDraftConfig
    WandbConfigRequest:
      properties:
        project:
          type: string
          title: Project
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        entity:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity
        tags:
          items:
            type: string
          type: array
          title: Tags
        api_key:
          type: string
          format: password
          title: Api Key
          writeOnly: true
      type: object
      required:
        - project
        - api_key
      title: WandbConfigRequest
    MlflowConfigRequest:
      properties:
        tracking_uri:
          type: string
          title: Tracking Uri
        experiment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Name
        run_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Name
        tags:
          additionalProperties:
            type: string
          type: object
          title: Tags
        certificate_file:
          type: string
          title: Certificate File
        certificate_file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Certificate File Id
        username:
          type: string
          title: Username
        password:
          type: string
          format: password
          title: Password
          writeOnly: true
      type: object
      required:
        - tracking_uri
        - experiment_name
        - run_name
        - certificate_file
        - username
        - password
      title: MlflowConfigRequest
    HfExportConfigRequest:
      properties:
        output_repo_name:
          type: string
          title: Output Repo Name
        api_token:
          type: string
          format: password
          title: Api Token
          writeOnly: true
      type: object
      required:
        - output_repo_name
        - api_token
      title: HfExportConfigRequest
    WandbConfigResponse:
      properties:
        project:
          type: string
          title: Project
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        entity:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity
        tags:
          items:
            type: string
          type: array
          title: Tags
      type: object
      required:
        - project
      title: WandbConfigResponse
    MlflowConfigResponse:
      properties:
        tracking_uri:
          type: string
          title: Tracking Uri
        experiment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Name
        run_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Name
        tags:
          additionalProperties:
            type: string
          type: object
          title: Tags
      type: object
      required:
        - tracking_uri
        - experiment_name
        - run_name
      title: MlflowConfigResponse
    HfExportConfigResponse:
      properties:
        output_repo_name:
          type: string
          title: Output Repo Name
      type: object
      required:
        - output_repo_name
      title: HfExportConfigResponse
    MappingRecordText:
      properties:
        type:
          type: string
          title: Type
          default: text
        value:
          type: string
          title: Value
          default: Constant mapping value
          examples:
            - constant_value
      type: object
      title: MappingRecordText
    MappingRecordColumn:
      properties:
        type:
          type: string
          title: Type
          default: column
        name:
          type: string
          title: Name
          default: Dataset column name
          examples:
            - messages
            - some_column
      type: object
      title: MappingRecordColumn
    SpecDraftHParameters:
      properties:
        batch_size:
          type: integer
          maximum: 64
          minimum: 1
          title: Batch Size
          description: Batch size for training
          default: 8
        learning_rate:
          type: number
          exclusiveMaximum: 1
          exclusiveMinimum: 0
          title: Learning Rate
          description: Learning rate for training
          default: 0.0075
        n_epochs:
          type: integer
          maximum: 20
          minimum: 1
          title: N Epochs
          description: Number of epochs for training
          default: 1
        warmup_ratio:
          type: number
          maximum: 1
          minimum: 0
          title: Warmup Ratio
          description: Warmup ratio for learning rate
          default: 0
        weight_decay:
          type: number
          minimum: 0
          title: Weight Decay
          description: Weight decay for optimizer
          default: 0
        packing:
          type: boolean
          title: Packing
          description: Whether to use packing for training
          default: true
        max_grad_norm:
          type: number
          exclusiveMinimum: 0
          title: Max Grad Norm
          description: Maximum gradient norm for optimizer
          default: 1
        context_length:
          type: integer
          maximum: 131072
          minimum: 8192
          title: Context Length
          description: Context length for training
          default: 8192
        architecture:
          type: string
          title: Architecture
          default: eagle3_original
        num_decoding_heads:
          type: integer
          maximum: 10
          minimum: 1
          title: Num Decoding Heads
          description: Number of speculative decoding heads
          default: 3
        loss:
          allOf:
            - $ref: '#/components/schemas/SpecDraftLossParams'
          description: Speculative drafter loss configuration
      additionalProperties: true
      type: object
      title: SpecDraftHParameters
    SpecDraftLossParams:
      properties:
        type:
          type: string
          enum:
            - kl
            - lk_alpha
            - lk_hybrid
          title: Type
          default: kl
      type: object
      title: SpecDraftLossParams
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````